Debian Bug report logs - #464432
git-core: git hash-object: --stdin -w does not work; -w --stdin works

version graph

Package: git-core; Maintainer for git-core is Gerrit Pape <pape@smarden.org>; Source for git-core is src:git.

Reported by: Josh Triplett <josh@joshtriplett.org>

Date: Wed, 6 Feb 2008 20:33:01 UTC

Severity: normal

Tags: patch

Found in version git-core/1:1.5.4-1

Fixed in version git-core/1:1.5.5~rc0-1

Done: Gerrit Pape <pape@smarden.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, josh@freedesktop.org, jamey@minilop.net, Gerrit Pape <pape@smarden.org>:
Bug#464432; Package git-core. Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@freedesktop.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: git-core: git hash-object: --stdin -w does not work; -w --stdin works
Date: Wed, 06 Feb 2008 12:30:34 -0800
Package: git-core
Version: 1:1.5.4-1
Severity: normal

$ git init
Initialized empty Git repository in test.git/
$ git hash-object --stdin -w 
foo!
929efb30534598535198700b994ee438d441d1af
$ ls test.git/objects/
info  pack
$ git hash-object -w --stdin 
foo!
929efb30534598535198700b994ee438d441d1af
$ ls test.git/objects/
92  info  pack
$ ls test.git/objects/92
9efb30534598535198700b994ee438d441d1af

- Josh Triplett

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages git-core depends on:
ii  cpio                   2.9-10            GNU cpio -- a program to manage ar
ii  libc6                  2.7-6             GNU C Library: Shared libraries
ii  libcurl3-gnutls        7.18.0-1          Multi-protocol file transfer libra
ii  libdigest-sha1-perl    2.11-2            NIST SHA-1 message digest algorith
ii  liberror-perl          0.17-1            Perl module for error/exception ha
ii  libexpat1              1.95.8-4          XML parsing C library - runtime li
ii  perl-modules           5.8.8-12          Core Perl modules
ii  zlib1g                 1:1.2.3.3.dfsg-11 compression library - runtime

Versions of packages git-core recommends:
ii  curl                          7.18.0-1   Get a file from an HTTP, HTTPS or 
ii  less                          418-1      Pager program similar to more
ii  openssh-client [ssh-client]   1:4.7p1-3  secure shell client, an rlogin/rsh
ii  patch                         2.5.9-4    Apply a diff file to an original
ii  rsync                         2.6.9-6    fast remote file copy program (lik

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#464432; Package git-core. Full text and rfc822 format available.

Acknowledgement sent to 464432@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. Full text and rfc822 format available.

Message #8 received at 464432@bugs.debian.org (full text, mbox):

From: Gerrit Pape <pape@smarden.org>
To: Josh Triplett <josh@freedesktop.org>, 464432@bugs.debian.org
Subject: Re: Bug#464432: git-core: git hash-object: --stdin -w does not work; -w --stdin works
Date: Wed, 5 Mar 2008 15:41:33 +0000
tags 464432 + patch
quit

Hi Josh, it's fixed in the upstream master branch, here's the patch

 http://git.kernel.org/?p=git/git.git;a=commitdiff;h=8a2f5e5b

Regards, Gerrit.


On Wed, Feb 06, 2008 at 12:30:34PM -0800, Josh Triplett wrote:
> $ git init
> Initialized empty Git repository in test.git/
> $ git hash-object --stdin -w 
> foo!
> 929efb30534598535198700b994ee438d441d1af
> $ ls test.git/objects/
> info  pack
> $ git hash-object -w --stdin 
> foo!
> 929efb30534598535198700b994ee438d441d1af
> $ ls test.git/objects/
> 92  info  pack
> $ ls test.git/objects/92
> 9efb30534598535198700b994ee438d441d1af
> 
> - Josh Triplett




Tags added: patch Request was from Gerrit Pape <pape@smarden.org> to control@bugs.debian.org. (Wed, 05 Mar 2008 15:45:06 GMT) Full text and rfc822 format available.

Reply sent to Gerrit Pape <pape@smarden.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Josh Triplett <josh@freedesktop.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 464432-close@bugs.debian.org (full text, mbox):

From: Gerrit Pape <pape@smarden.org>
To: 464432-close@bugs.debian.org
Subject: Bug#464432: fixed in git-core 1:1.5.5~rc0-1
Date: Wed, 19 Mar 2008 10:02:04 +0000
Source: git-core
Source-Version: 1:1.5.5~rc0-1

We believe that the bug you reported is fixed in the latest version of
git-core, which is due to be installed in the Debian FTP archive:

git-arch_1.5.5~rc0-1_all.deb
  to pool/main/g/git-core/git-arch_1.5.5~rc0-1_all.deb
git-core_1.5.5~rc0-1.diff.gz
  to pool/main/g/git-core/git-core_1.5.5~rc0-1.diff.gz
git-core_1.5.5~rc0-1.dsc
  to pool/main/g/git-core/git-core_1.5.5~rc0-1.dsc
git-core_1.5.5~rc0.orig.tar.gz
  to pool/main/g/git-core/git-core_1.5.5~rc0.orig.tar.gz
git-cvs_1.5.5~rc0-1_all.deb
  to pool/main/g/git-core/git-cvs_1.5.5~rc0-1_all.deb
git-daemon-run_1.5.5~rc0-1_all.deb
  to pool/main/g/git-core/git-daemon-run_1.5.5~rc0-1_all.deb
git-doc_1.5.5~rc0-1_all.deb
  to pool/main/g/git-core/git-doc_1.5.5~rc0-1_all.deb
git-email_1.5.5~rc0-1_all.deb
  to pool/main/g/git-core/git-email_1.5.5~rc0-1_all.deb
git-gui_1.5.5~rc0-1_all.deb
  to pool/main/g/git-core/git-gui_1.5.5~rc0-1_all.deb
git-svn_1.5.5~rc0-1_all.deb
  to pool/main/g/git-core/git-svn_1.5.5~rc0-1_all.deb
gitk_1.5.5~rc0-1_all.deb
  to pool/main/g/git-core/gitk_1.5.5~rc0-1_all.deb
gitweb_1.5.5~rc0-1_all.deb
  to pool/main/g/git-core/gitweb_1.5.5~rc0-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 464432@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gerrit Pape <pape@smarden.org> (supplier of updated git-core package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 19 Mar 2008 07:45:01 +0000
Source: git-core
Binary: git-core git-doc git-arch git-cvs git-svn git-email git-daemon-run git-gui gitk gitweb
Architecture: all source
Version: 1:1.5.5~rc0-1
Distribution: experimental
Urgency: low
Maintainer: Gerrit Pape <pape@smarden.org>
Changed-By: Gerrit Pape <pape@smarden.org>
Description: 
 git-arch   - fast, scalable, distributed revision control system (arch interop
 git-core   - fast, scalable, distributed revision control system
 git-cvs    - fast, scalable, distributed revision control system (cvs interope
 git-daemon-run - fast, scalable, distributed revision control system (git-daemon s
 git-doc    - fast, scalable, distributed revision control system (documentatio
 git-email  - fast, scalable, distributed revision control system (email add-on
 git-gui    - fast, scalable, distributed revision control system (GUI)
 git-svn    - fast, scalable, distributed revision control system (svn interope
 gitk       - fast, scalable, distributed revision control system (revision tre
 gitweb     - fast, scalable, distributed revision control system (web interfac
Closes: 463853 464432
Changes: 
 git-core (1:1.5.5~rc0-1) experimental; urgency=low
 .
   * new upstream release candidate.
     * git-pull documentation: warn about the option order (closes: #463853).
     * hash-object: cleanup handling of command line options (closes:
       #464432).
   * debian/diff/0004-gitk-properly-deal-with-tag-names-containing-sl.diff:
     remove; applied upstream.
Files: 
 697ab27149ea370ad250a0758f88d58c 884 devel optional git-core_1.5.5~rc0-1.dsc
 8c743ee5b9b157bd1af626f252d5db41 1951015 devel optional git-core_1.5.5~rc0.orig.tar.gz
 28401e905c7d1076d317a56a279d6134 204431 devel optional git-core_1.5.5~rc0-1.diff.gz
 ff296e6aa139b4db78f59d5da5d28fbf 1003520 doc optional git-doc_1.5.5~rc0-1_all.deb
 120661a4f7e8b607b1424ca3f03bdd95 210968 devel optional git-arch_1.5.5~rc0-1_all.deb
 7a55a7057859992c33d79037df7270c4 242436 devel optional git-cvs_1.5.5~rc0-1_all.deb
 8da0c653cc40217b1499865b3fd64512 246646 devel optional git-svn_1.5.5~rc0-1_all.deb
 f1a959179b49b406e22738bac98b733c 197544 devel optional git-daemon-run_1.5.5~rc0-1_all.deb
 00650204c735e4b8f482761964d7a940 208998 devel optional git-email_1.5.5~rc0-1_all.deb
 dfe52caee0e7c5824fefbae08cf0b804 379840 devel optional git-gui_1.5.5~rc0-1_all.deb
 e830c0ca331cb017e3b63ae74a7777e5 264220 devel optional gitk_1.5.5~rc0-1_all.deb
 6bfdd5579ec3aded4b97bff843eb6ad8 247772 devel optional gitweb_1.5.5~rc0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH4OHUGJoyQbxwpv8RApVQAJ44EPCoLOVJUiSvr6J1/6AxTaOb4gCfcx8V
H1FIGR86+w/vBxGpwNkpqAk=
=4T6I
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 03 May 2008 07:31:28 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Josh Triplett <josh@joshtriplett.org> to control@bugs.debian.org. (Sat, 04 Jul 2009 09:18:55 GMT) Full text and rfc822 format available.

Changed Bug submitter from Josh Triplett <josh@freedesktop.org> to Josh Triplett <josh@joshtriplett.org>. Request was from Josh Triplett <josh@joshtriplett.org> to control@bugs.debian.org. (Sat, 04 Jul 2009 09:18:56 GMT) Full text and rfc822 format available.

Bug archived. Request was from Josh Triplett <josh@joshtriplett.org> to control@bugs.debian.org. (Sat, 04 Jul 2009 09:18:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:25:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.